Bug 1581625 - [webUI] Provide scroll bar for Organization and location switching
Summary: [webUI] Provide scroll bar for Organization and location switching
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Amir
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1619394
TreeView+ depends on / blocked
 
Reported: 2018-05-23 09:03 UTC by Nikhil Kathole
Modified: 2019-11-05 23:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:03:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI satellite 6.4 missing scroll bar (84.57 KB, image/png)
2018-05-23 09:03 UTC, Nikhil Kathole
no flags Details
satellite 6.3 provides scroll bar (127.45 KB, image/png)
2018-05-23 09:03 UTC, Nikhil Kathole
no flags Details
6.4 scroll bar (89.00 KB, image/png)
2018-07-23 09:39 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24017 None None None 2018-07-19 14:17:00 UTC

Description Nikhil Kathole 2018-05-23 09:03:13 UTC
Created attachment 1440493 [details]
screenshot of UI satellite 6.4 missing scroll bar

Description of problem: With number of organizations/locations(approx more than 30), it is difficult to switch between organization or locations as scroll bar is absent in new UI. 


Version-Release number of selected component (if applicable): Satellite 6.4 snap 4


How reproducible: always


Steps to Reproduce:
1. Create 30+ organizations/locations
2. Try to switch to alphanumerically last organization/location  

Actual results: Not able to scroll to last org/loc see attachments.


Expected results: Scroll bar should be present.


Additional info: Satellite 6.3 provides scroll bar. (see attachment)

Comment 1 Nikhil Kathole 2018-05-23 09:03:51 UTC
Created attachment 1440494 [details]
satellite 6.3 provides scroll bar

Comment 5 Amir 2018-06-20 11:01:00 UTC
Created redmine issue http://projects.theforeman.org/issues/24017 from this bug

Comment 6 Amir 2018-06-20 11:01:01 UTC
Created redmine issue http://projects.theforeman.org/issues/24017 from this bug

Comment 7 Walden Raines 2018-07-19 14:07:17 UTC
Created redmine issue https://projects.theforeman.org/issues/24306 from this bug

Comment 8 pm-sat@redhat.com 2018-07-19 16:19:43 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 9 pm-sat@redhat.com 2018-07-19 16:19:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24017 has been resolved.

Comment 10 Nikhil Kathole 2018-07-23 09:39:04 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 13

Scroll bar present for org and loc switching (see attachment)

Comment 11 Nikhil Kathole 2018-07-23 09:39:30 UTC
Created attachment 1469914 [details]
6.4 scroll bar

Comment 12 Alexey Masolov 2018-08-27 03:37:32 UTC
Would be great to eliminate horizontal scroll bar (looks ugly, really) and adjust amount of visible orgs/locations without scrolling. At the moment it gives us 4 without scrolling down but even with 1024x768 screen resolution we still have a lot of space on the screen to make it look nicer.

Comment 13 Bryan Kearney 2018-10-16 19:03:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.